Subject: NUI Agreements
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 16 Apr 2001 08:00:00 -0700 (PDT)

Paul, 

Attached is the final version of the Master Firm Agreement which incorporates 
NUI's notice information and all previously discussed changes.  Also, 
attached is the April Transaction Confirmation Letter with the change to the 
addressee.  The Exhibits for the letter are the NUI Confirmations Nos. 31060 
and 46669.  I understand that the changes that you requested to the swap 
guaranty are acceptable and that you will receive revised agreements 
shortly.  Please let me know if there is anything else outstanding.

Stacy